org.apache.olingo.commons.api.edm.provider.annotation

## Class CsdlExpression

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression

- Direct Known Subclasses:
    CsdlConstantExpression, CsdlDynamicExpression

      public abstract class CsdlExpression
      extends CsdlAbstractEdmItem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlExpression()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CsdlConstantExpression` | `asConstant()` Casts the expression to `CsdlConstantExpression`.
    `CsdlDynamicExpression` | `asDynamic()` Cast the expression to `CsdlDynamicExpression`.
    `boolean` | `isConstant()` Return true if the expression is constant
    `boolean` | `isDynamic()` Returns true if the expression is dynamic.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlExpression

          public CsdlExpression()

  - ### Method Detail

    - #### isConstant

          public boolean isConstant()

      Return true if the expression is constant
      Returns:
        true if the expression is constant

    - #### asConstant

          public CsdlConstantExpression asConstant()

      Casts the expression to `CsdlConstantExpression`.
      Returns:
        Constant Expression

    - #### isDynamic

          public boolean isDynamic()

      Returns true if the expression is dynamic.
      Returns:
        true if the expression is dynamic

    - #### asDynamic

          public CsdlDynamicExpression asDynamic()

      Cast the expression to `CsdlDynamicExpression`.
      Returns:
        Dynamic Expression

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.